Package org.eclipse.emf.cdo.lm.reviews

# Interface Heading

All Superinterfaces:
  `CDOObject`, `CDOWithID`, `Comment`, `Commentable`, `EObject`, `ModelElement`, `Notifier`, `SystemElement`

All Known Implementing Classes:
  `HeadingImpl`

public interface Heading extends Comment
A representation of the model object 'Heading'.

See Also:
  - `ReviewsPackage.getHeading()`
Generated
Model
No Implement
  This interface is not intended to be implemented by clients.

  The following features are supported:

  - `Previous Heading`
  - `Next Heading`
  - `Parent Index`
  - `Outline Number`
No Extend
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`Heading`
`getNextHeading()`
Returns the value of the 'Next Heading' reference.
`String`
`getOutlineNumber()`
Returns the value of the 'Outline Number' attribute.
`int`
`getParentIndex()`
Returns the value of the 'Parent Index' attribute.
`Heading`
`getPreviousHeading()`
Returns the value of the 'Previous Heading' reference.

### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

`cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption`

### Methods inherited from interface org.eclipse.emf.cdo.lm.reviews.Comment

`getAuthor, getCommentable, getParentHeading, getStatus, getText, setAuthor, setCommentable, setStatus, setText`

### Methods inherited from interface org.eclipse.emf.cdo.lm.reviews.Commentable

`getCommentCount, getComments, getResolvedCount, getReview, getUnresolvedCount`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.cdo.etypes.ModelElement

`getAnnotation, getAnnotations`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.emf.cdo.lm.SystemElement

`getSystem`

## Method Details

### getPreviousHeading

Heading getPreviousHeading()
Returns the value of the 'Previous Heading' reference.

Returns:
  the value of the 'Previous Heading' reference.
See Also:
  - `ReviewsPackage.getHeading_PreviousHeading()`
Generated
Model
  resolveProxies="false" transient="true" changeable="false" volatile="true" derived="true"

### getNextHeading

Heading getNextHeading()
Returns the value of the 'Next Heading' reference.

Returns:
  the value of the 'Next Heading' reference.
See Also:
  - `ReviewsPackage.getHeading_NextHeading()`
Generated
Model
  resolveProxies="false" transient="true" changeable="false" volatile="true" derived="true"

### getParentIndex

int getParentIndex()
Returns the value of the 'Parent Index' attribute.

Returns:
  the value of the 'Parent Index' attribute.
See Also:
  - `ReviewsPackage.getHeading_ParentIndex()`
Generated
Model
  transient="true" changeable="false" volatile="true" derived="true"

### getOutlineNumber

String getOutlineNumber()
Returns the value of the 'Outline Number' attribute.

Returns:
  the value of the 'Outline Number' attribute.
See Also:
  - `ReviewsPackage.getHeading_OutlineNumber()`
Generated
Model
  transient="true" changeable="false" volatile="true" derived="true"